SELECT 
	Z.BATCH_SUB_ID, Z.ID, Z.LOGICAL_NAME, Z.PHYSICAL_NAME, Z.MEMO, 
	Z.LINE , Z.BATCH_TRAN_PROC, A.PHYSICAL_NAME, A.LOGICAL_NAME
FROM 
	WEDGE_BAT_TRAN Z
	Left Outer Join 
		( select * from WEDGE_NAME 
			where SEARCH_STRING Like 'CONTROL_BREAK_%' Or SEARCH_STRING Like 'DBSELECT' Or SEARCH_STRING Like 'MERGE'
		) 
	As A On Z.BATCH_TRAN_PROC = A.VALUE 
WHERE
	Z.BATCH_SUB_ID = ?
ORDER BY
	Z.LINE
